// Zbir promenljivog broja argumenata.

#include <stdarg.h>

int zbir(int n, ...) {
  va_list pa;                    // Pokaziva na argumente.
  va_start(pa, n);               // Inicijalizacija pokazivaa
                                 //   na argumente.
  int s = 0;
  for (int i=0; i<n; i++)
    s += va_arg(pa, int);        // Dohvatanje narednog argumenta.
  va_end(pa);                    // Kraj dohvatanja argumenata.
  return s;
}

#include <stdio.h>

void main() {
  printf("1+2=   %d\n", zbir(2,1,2));
  printf("1+2+3= %d\n", zbir(3,1,2,3));
}
